[Overview][Types][Classes][Variables][Index] | Reference for unit 'AVL_Tree' (#fcl)

# TAVLTree.WriteReportToStream

Write the contents of the tree consistency check to the stream

## Declaration

Source position: avl_tree.pp line 165

`public procedure TAVLTree.WriteReportToStream(`
`s: TStream`
`);`

## Arguments

`s` |  | Stream to write the tree report to

## Description

WriteReportToStream writes a visual representation of the tree to the stream S. The total number of written bytes is returned in StreamSize. This method is only useful for debugging purposes.

## See also

TAVLTree.ConsistencyCheck |  | Check the consistency of the tree